dev-python / dominate

Library for creating and manipulating HTML documents using an elegant DOM API

Official package sites : https://github.com/Knio/dominate ·

Dominate is a Python library for creating and manipulating HTML documents using an elegant DOM API. It allows you to write HTML pages in pure Python very concisely, which eliminate the need to learn another template language, and to take advantage of the more powerful features of Python.

v2.4.0 :: 0 :: gentoo

Modified
License
GPL-3+
Keywords
~amd64 ~x86
USE flags
test

v2.3.5 :: 0 :: gentoo

Modified
License
GPL-3+
Keywords
~amd64 ~x86
USE flags
test

v2.3.1 :: 0 :: gentoo

Modified
License
GPL-3+
Keywords
amd64 x86
USE flags
test

General

test
Enable dependencies and/or preparations necessary to run tests (usually controlled by FEATURES=test but can be toggled independently)

python_targets

pypy
Build with PyPy
pypy3
Build with PyPy3
python2_7
Build with Python 2.7
python3_5
Build with Python 3.5
python3_6
Build with Python 3.6
python3_7
Build with Python 3.7

dev-python / pytest : Simple powerful testing with Python

dev-python / setuptools : Collection of extensions to Distutils

dev-lang / python : An interpreted, interactive, object-oriented programming language

dev-lang / python-exec : Python script wrapper

virtual / pypy : A virtual for PyPy Python implementation

virtual / pypy3 : A virtual for PyPy3 Python implementation

dev-python / flask-bootstrap : An extension that includes Bootstrap in your project, without boilerplate code

dev-python / flask-nav : Easily create navigation for Flask applications.

Repository mirror & CI · gentoo
Merge updates from master
Louis Sautier · gentoo
dev-python/dominate: remove old
Package-Manager: Portage-2.3.69, Repoman-2.3.16 Signed-off-by: Louis Sautier <sbraz@gentoo.org>
Louis Sautier · gentoo
dev-python/dominate: bump to 2.4.0
Package-Manager: Portage-2.3.69, Repoman-2.3.16 Signed-off-by: Louis Sautier <sbraz@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Michał Górny · gentoo
*/*: Remove python3_4 PYTHON_COMPAT correctly
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Louis Sautier · gentoo
dev-python/dominate: bump to 2.3.5
Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Louis Sautier <sbraz@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Louis Sautier · gentoo
dev-python/dominate: remove old
Signed-off-by: Louis Sautier <sbraz@gentoo.org> Package-Manager: Portage-2.3.49, Repoman-2.3.11
Louis Sautier · gentoo
dev-python/dominate: bump to 2.3.4
Signed-off-by: Louis Sautier <sbraz@gentoo.org> Package-Manager: Portage-2.3.49, Repoman-2.3.11
Repository mirror & CI · gentoo
Merge updates from master
Louis Sautier · gentoo
dev-python/dominate: add Python 3.7, make tests more verbose
Package-Manager: Portage-2.3.43, Repoman-2.3.10
Repository mirror & CI · gentoo
Merge updates from master
Louis Sautier · gentoo
dev-python/dominate: amd64 and x86 stable
Closes: https://bugs.gentoo.org/659440 Package-Manager: Portage-2.3.40, Repoman-2.3.9
Repository mirror & CI · gentoo
Merge updates from master
Louis Sautier · gentoo
dev-python/dominate: add PyPy{,3}
Remove pytest-runner from test DEPENDs, it is not required. Package-Manager: Portage-2.3.40, Repoman-2.3.9
Manuel Rüger · gentoo
dev-python/dominate: Add python3_6
Package-Manager: Portage-2.3.5, Repoman-2.3.2
Robin H. Johnson · gentoo
Drop $Id$ per council decision in bug #611234.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
T. Malfatti · gentoo
media-libs/portaudio: Version bump
Louis Sautier · gentoo
dev-python/dominate: bump to 2.3.1
Closes: https://github.com/gentoo/gentoo/pull/2925 Package-Manager: portage-2.3.2
Patrice Clement · gentoo
dev-python/dominate: Clean up old.
Package-Manager: portage-2.3.0
Patrice Clement · gentoo
dev-python/dominate: Stable for amd64+x86.
Package-Manager: portage-2.3.0
Louis Sautier · gentoo
dev-python/dominate: bump to 2.2.1
Package-Manager: portage-2.3.0
Göktürk Yüksek · gentoo
dev-python/dominate: fix license: s/GPL-3/GPL-3+/
From dominate/dom1core.py: "[...] either version 3 of the License, or (at your option) any later version." Package-Manager: portage-2.2.28 Closes: https://github.com/gentoo/gentoo/pull/1513 Signed-off-by: Ian Delaney <idella4@gentoo.org>
Louis Sautier · gentoo
dev-python/dominate: new package, dependency of flask-bootstrap, vn. 2.2.0
Package-Manager: portage-2.2.28 Closes: https://github.com/gentoo/gentoo/pull/1353 Signed-off-by: Ian Delaney <idella4@gentoo.org>